# $Revision: 1.82.2.3 $, $Date: 2006/10/30 16:58:19 $
Summary:	GNOME base GUI library
Summary(pl):	Podstawowa biblioteka GUI GNOME
Name:		libgnomeui
Version:	2.14.1
Release:	3
License:	LGPL
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/libgnomeui/2.14/%{name}-%{version}.tar.bz2
# Source0-md5:	ff6b6c25de0e7e39c79998621cdec048
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	audiofile-devel >= 1:0.2.3
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	esound-devel >= 1:0.2.31
BuildRequires:	gnome-common >= 2.12.0
BuildRequires:	gnome-keyring-devel >= 0.4.9
BuildRequires:	gnome-vfs2-devel >= 2.14.0
BuildRequires:	gtk+2-devel >= 2:2.8.3
BuildRequires:	gtk-doc >= 1.3
BuildRequires:	libbonoboui-devel >= 2.14.0
BuildRequires:	libglade2-devel >= 1:2.5.0
BuildRequires:	libgnome-devel >= 2.14.0
BuildRequires:	libgnomecanvas-devel >= 2.14.0
BuildRequires:	libjpeg-devel
BuildRequires:	libtool
BuildRequires:	pango-devel >= 1:1.10.0
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	popt-devel >= 1.5
BuildRequires:	rpmbuild(macros) >= 1.197
Requires:	gnome-keyring-libs >= 0.4.9
Requires:	gnome-vfs2-libs >= 2.14.0
Requires:	gtk+2 >= 2:2.8.3
Requires:	libbonoboui >= 2.14.0
Requires:	pango >= 1:1.10.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnomeui package
includes GUI-related libraries that are needed to run GNOME. (The
libgnome package includes the library features that don't use the X
Window System.)

%description -l pl
GNOME (GNU Network Object Model Environment) jest przyjaznym dla
uytkownika zestawem aplikacji i narzdzi z graficznym interfejsem do
uywania w poczeniu z zarzdc okien X Window System. Pakiet
libgnomeui zawiera biblioteki zwizane z graficznym interfejsem
uytkownika potrzebne do uruchomienia GNOME (pakiet libgnome zawiera
biblioteki nie uywajce X Window System).

%package devel
Summary:	Headers for libgnomeui
Summary(pl):	Pliki nagwkowe libgnomeui
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	GConf2-devel >= 2.14.0
Requires:	esound-devel >= 1:0.2.31
Requires:	gnome-keyring-devel >= 0.4.9
Requires:	gnome-vfs2-devel >= 2.14.0
Requires:	gtk+2-devel >= 2:2.8.3
Requires:	gtk-doc-common
Requires:	libbonoboui-devel >= 2.14.0
Requires:	libglade2-devel >= 1:2.5.0
Requires:	libjpeg-devel

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnomeui-devel package
includes the libraries and include files that you will need to use
libgnomeui.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe potrzebne do kompilacji programw
uywajcych libgnomeui.

%package static
Summary:	Static libgnomeui libraries
Summary(pl):	Statyczne biblioteki libgnomeui
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libgnomeui libraries.

%description static -l pl
Statyczna wersja bibliotek libgnomeui.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/gnome/help

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

# no static modules and *.la for libglade or vfs modules
rm -f $RPM_BUILD_ROOT%{_libdir}/libglade/2.0/*.{la,a}
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/2.*/filesystems/libgnome-vfs.{la,a}

rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
# it seems that every package that uses %{_datadir}/gnome tree requires
# libgnomeui - so added these directories to this package
%dir %{_datadir}/gnome
%dir %{_datadir}/gnome/help
%attr(755,root,root) %{_libdir}/gnome_segv2
%attr(755,root,root) %{_libdir}/gtk-2.0/2.*/filesystems/libgnome-vfs.so
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_libdir}/libglade/2.0/*.so
%{_pixmapsdir}/*

%files devel
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}
%{_includedir}/libgnomeui-2.0
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgnomeui.spec,v $
Revision 1.82.2.3  2006/10/30 16:58:19  glen
- /usr/share/gnome{,/help} in filesystem now
- adapter
- rel 3

Revision 1.82.2.2  2006/05/18 20:16:30  baggins
- release 2
- strict reqs

Revision 1.82.2.1  2006/05/15 12:59:45  baggins
- merged from HEAD
- BR libs from GNOME 2.14

Revision 1.85  2006/04/11 15:20:58  freetz
- 2.14.1

Revision 1.84  2006/04/01 23:47:30  qboosh
- Group consistency

Revision 1.83  2006/04/01 20:54:40  freetz
- merged from DEVEL

Revision 1.81.2.6  2006/03/20 19:30:11  freetz
- rel.2

Revision 1.81.2.5  2006/03/13 13:59:43  freetz
- 2.14.0, depend on libgnome 2.14.0

Revision 1.81.2.4  2006/02/28 08:41:19  freetz
- 2.13.90

Revision 1.81.2.3  2006/01/31 00:24:31  patrys
- proper R: on libbonoboui

Revision 1.81.2.2  2006/01/26 15:55:12  freetz
- 2.13.3

Revision 1.81.2.1  2006/01/18 22:59:37  freetz
- 2.13.2, they included threads patch after 2 years! ;-)

Revision 1.82  2006/02/08 15:20:37  freetz
- 2.12.1

Revision 1.81  2005/09/06 10:54:31  aflinta
- Merged from DEVEL, 2.12.0

Revision 1.79.2.8  2005/08/29 09:33:02  paladine
- updated to 2.11.4

Revision 1.79.2.7  2005/08/23 11:26:52  paladine
- updated to 2.11.3
- sorted %%files

Revision 1.79.2.6  2005/08/18 15:44:40  wiget
- BR libgnomecanvas builded with new cairo

Revision 1.79.2.5  2005/08/17 22:07:41  aflinta
- rebuild with cairo, rel. 2

Revision 1.79.2.4  2005/08/05 12:17:50  freetz
- rel.1, (threads patch updated)

Revision 1.79.2.3  2005/08/05 07:42:57  aflinta
- grrr

Revision 1.79.2.2  2005/08/05 07:42:25  aflinta
- up to version 2.11.2, don't know what to do with threads patch

Revision 1.79.2.1  2005/07/03 15:50:22  freetz
- 2.11.1

Revision 1.79  2005/05/11 17:18:22  pluto
- release 5 for Th.

Revision 1.78  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.77  2005/04/10 17:36:58  freetz
- new style macros, rel.4

Revision 1.76  2005/03/24 06:55:46  freetz
- rel.3 for rebuild with updated threads patch

Revision 1.75  2005/03/20 19:43:29  aflinta
- rebuild with howl 0.9.10, release 2

Revision 1.74  2005/03/07 22:59:43  paladine
- merged from DEVEL

Revision 1.72.2.3  2005/03/07 20:46:50  wiget
- updated to 2.10.0
